Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False)> _
Public Class GLAccountsRevaluations
    Inherits BaseObject
    Private _GLAccounts As GLAccounts
    Private _GLRows As GLRows
    Private _CurrencyRate As Double
    Private _CurrencyRate_Revaluation As Double
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub

    Property GLAccounts As GLAccounts
        Get
            Return _GLAccounts
        End Get
        Set(ByVal value As GLAccounts)
            SetPropertyValue("GLAccounts", _GLAccounts, value)
        End Set
    End Property
    Property GLRows As GLRows
        Get
            Return _GLRows
        End Get
        Set(ByVal value As GLRows)
            SetPropertyValue("GLRows", _GLRows, value)
        End Set
    End Property
    Property CurrencyRate As Double
        Get
            Return _CurrencyRate
        End Get
        Set(value As Double)
            SetPropertyValue("CurrencyRate", _CurrencyRate, value)
        End Set
    End Property
    Property CurrencyRate_Revaluation As Double
        Get
            Return _CurrencyRate_Revaluation
        End Get
        Set(value As Double)
            SetPropertyValue("CurrencyRate_Revaluation", _CurrencyRate_Revaluation, value)
        End Set
    End Property
End Class
